Social Fetch

Whoami

Returns the authenticated user associated with the API key.

Operation

GET/v1/whoami

Headers

x-api-keystringrequired(header)

API key (`sfk_...`)

Response fields

data
objectrequired

Endpoint-specific response payload.

datauser
objectrequired

Authenticated user associated with the provided API key.

datauserid
stringrequired

Internal Social Fetch user identifier.

datausername
stringrequirednullable

Display name for the authenticated user, when available.

datauseremail
stringrequirednullable

Email address for the authenticated user, when available.

meta
objectrequired

Metadata describing the request and billing outcome.

metarequestId
stringrequired

Unique request identifier for tracing this API call.

min 1 chars

metacreditsCharged
integerrequired

Credits charged for this request.

≥ 0

metaversion
stringrequired

Public API version that served the response.

one of: v1

Code example

Responses

OK

Error codes

internal_errortemporarily_unavailableunauthorized

On this page